Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

Where can someone get policykit related tools?

 gnome-policykit-authorizations
 polkit-config-file-validate
 polkit-policy-file-validate

And if getting them is not an option: Where can I get a full GUI configuration tool for this system? This is a gui-related policy/authorization system as far as I can understand it, there must be a GUI configuration interface somewhere correct?

Either that, or:

How can someone completely get rid of PolKit/PolicyKit?

Is that even possible? Will apps that do support policies see that it's gone and rely on sudo/gksu/group:admin/something else?

It's a pain and I'm having a terrible experience with any gnome administration/configuration programs that use the policy system. They have problems even when run as root!

Am I alone in having a huge headache in trying to figure out how to fix the default (broken) policies?

As far as I can see it has been configured to work fine when you're using a GUI session (ie gnome) while sitting in front of a real monitor,keyboard,mouse; but other than that, it all breaks down.

This question is related to this one.

And one Final question:

Do all Ubuntu versions/Other linux distros that have policykit installed have the same problems?

I'd imagine not; ie. Does 10.04LTS have these problems? or debian? or something else entirely?

It's the 4th day I've been fighting with this, and there's no end in sight. Any help would be appreciated

share|improve this question

closed as not a real question by fossfreedom Mar 10 '12 at 15:32

It's difficult to tell what is being asked here. This question is ambiguous, vague, incomplete, overly broad, or rhetorical and cannot be reasonably answered in its current form. For help clarifying this question so that it can be reopened, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
If you were to just run apt-cache rdepends policykit-1 you would see that PolicyKit is essential to the desktop deployment, so no, you can't get rid of it. For server however where no desktop is installed, policykit isn't even installed by default. All the tools you need to manage it are included in that package, the ones you mentioned are from a much earlier release and have been made obsolete. –  ppetraki Mar 10 '12 at 13:45

1 Answer 1

This isn't really a answer to your direct questions, as I don't know, but have some machines running Arch Linux, where you have to configure everything yourself. PolicyKit being one of these things, I followed the guide at the ArchWiki page for PolicyKit

It's not all specific to Arch, so you might glean some useful information from it for Ubuntu as well.

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.